
// Reversi.h : Reversi アプリケーションのメイン ヘッダー ファイル
//
#pragma once

#ifndef __AFXWIN_H__
	#error "PCH に対してこのファイルをインクルードする前に 'stdafx.h' をインクルードしてください"
#endif

#include "resource.h"       // メイン シンボル

#define MASU_SIZE   50                       //マス目（石）のサイズ
#define MASU_NUM    8                        //マス目の数（１方向に対する）
#define BOARD_SIZE  MASU_SIZE * MASU_NUM     //オセロ板のサイズ
#define SYSTEM_SIZE 100                      //制御部分のサイズ
#define WINDOW_W    BOARD_SIZE + SYSTEM_SIZE //ウィンドウの横幅
#define WINDOW_H    BOARD_SIZE               //ウィンドウの縦幅
#define BLACK_STONE   1                      //黒石
#define WHITE_STONE  -1                      //白石
#define BLANK         0                      //石なし

// CReversiApp:
// このクラスの実装については、Reversi.cpp を参照してください。
//

class CReversiApp : public CWinAppEx
{
public:
	CReversiApp();


// オーバーライド
public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();

// 実装
	UINT  m_nAppLook;
	BOOL  m_bHiColorIcons;

	virtual void PreLoadState();
	virtual void LoadCustomState();
	virtual void SaveCustomState();

	afx_msg void OnAppAbout();
	DECLARE_MESSAGE_MAP()
};

extern CReversiApp theApp;
